#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iio_hw_consumer_alloc, "_gpl", "");
KSYMTAB_FUNC(iio_hw_consumer_free, "_gpl", "");
KSYMTAB_FUNC(devm_iio_hw_consumer_alloc, "_gpl", "");
KSYMTAB_FUNC(iio_hw_consumer_enable, "_gpl", "");
KSYMTAB_FUNC(iio_hw_consumer_disable, "_gpl", "");

SYMBOL_CRC(iio_hw_consumer_alloc, 0x6857154c, "_gpl");
SYMBOL_CRC(iio_hw_consumer_free, 0x9671bc15, "_gpl");
SYMBOL_CRC(devm_iio_hw_consumer_alloc, 0x4d1168fc, "_gpl");
SYMBOL_CRC(iio_hw_consumer_enable, 0xbf358fa9, "_gpl");
SYMBOL_CRC(iio_hw_consumer_disable, 0x3391543d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x9f235305, "iio_channel_release_all" },
	{ 0x70deb7e0, "iio_buffer_put" },
	{ 0xf5ff010d, "iio_update_buffers" },
	{ 0xe61a6d75, "kmalloc_caches" },
	{ 0x29977925, "kmalloc_trace" },
	{ 0x428d2224, "iio_channel_get_all" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa3af15fe, "iio_buffer_init" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xfc396156, "__devm_add_action" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "industrialio");

